﻿/*
 *    File: bew.day1recap.js
 * Project: Brad's Erotic Week
 * Authors: kexter, Wolfschadowe
 *    Date: 2017-12-07
 */

//#region References and JSHint configuration

/// <reference path="_game.js" />

// Disable warnings for variables defined in other files.
/*globals $*/

//#endregion

//#region #   Day 1 recap   #
(function ($) {
  "use strict";
  //#region ------ Helper functions ------
  /** Sets the recap's top text to the specified one. */
  function setDay1RecapText(textId) {
    var text = "<@" + textId + ">";
    if (!$.isPredicting()) {
      $.print(text);
      $.update(false);
    }
  }
  /** Sets the Day1 recap-image's source to the specified one. */
  function setDay1RecapImage(id) {
    if (!$.isPredicting()) {
      id = id.replace(/.*(\/|\\)/, "").replace(/\.(jpg|png)$/, "").toLowerCase();
      $.blit(id, 0);
    }
  }
  /** Sets the Day1 recap-image's link to the specified one. */
  function setDay1RecapLink(link) {
    if (!$.isPredicting()) {
      clearDay1RecapLink();
      $.addResponse("<@day1Recap0>", link);
      $.update(false);
    }
  }
  /** Clears the Day1 recap-image's link. */
  function clearDay1RecapLink() {
    if (!$.isPredicting()) {
      $.clear(true, true, true, false);
      $.addResponse("<@day1Recap1>", function () {
        if ($.get("atempc") === 3) {
          $.shared.fadeToPage("aihome97aw-a");
        } else if ($.get("atempc") === 2) {
          $.shared.fadeToPage("aihome96aw-b");
        } else if ($.shared.isEventSet("n1home.ban")) {
          $.shared.fadeToPage("aihome98bw-a");
        } else if ($.shared.isEventSet("n1home.anb")) {
          $.shared.fadeToPage("aihome97bw-a");
        } else if ($.shared.isEventSet("n1home.nba")) {
          $.shared.fadeToPage("aihome99bw-a");
        } else {
          $.shared.fadeToEpisode("ETATO", "thmcoffee01");
        }
      });
      $.update(false);
    }
  }
  /** Generates the recap page for day 1. */
  function generateDay1Recap() {
    if (!$.isPredicting()) {
      // Set the recap screen to first page.
      d1recap01();
    }
  }
  //#endregion
  //#region --- Intro and Office recap ---
  /** Recap error path. */
  function d1recaperror() {
    // Set the top text and clear the link.
    setDay1RecapText("day1Recap2");
    clearDay1RecapLink();
  }
  function d1recap01() {
    setDay1RecapText("day1Recap3");
    setDay1RecapImage("intro12");
    setDay1RecapLink(d1recap01ab);
  }
  function d1recap01ab() {
    var controlled = $.get("n1home");
    if ($.get("d1office") > 0) {
      setDay1RecapText("day1Recap4");
    } else {
      setDay1RecapText("day1Recap5");
    }
    setDay1RecapImage("office4c");
    if ($.get("n1bar") > 0) {
      setDay1RecapLink(d1recap02);
    } else if (controlled === 6 || controlled === 7 ||controlled === 8) {
      setDay1RecapLink(d1recap1ai);
    } else {
      setDay1RecapLink(d1recapc01);
    }
  }
  //#endregion
  //#region ---------- Bar recap ---------
  function d1recap02() {
    setDay1RecapText("day1Recap6");
    setDay1RecapImage("n1-bar1");
    setDay1RecapLink(d1recap03);
  }
  function d1recap03() {
    // Review Brad's actions regarding Sere. He either missed her completely,
    // noticed her, or went after her. Not determined here is if that chase
    // was threatening to Sere.
    var seeSere = $.get("stempa");
    if (seeSere === 0) {
      // Didn't spot Sere.
      setDay1RecapText("day1Recap7");
      setDay1RecapImage("n1-bar7");
    } else if (seeSere === 1) {
      // Spotted Sere.
      setDay1RecapText("day1Recap8");
      setDay1RecapImage("n1-bar7a");
    } else {
      // Chased after Sere.
      setDay1RecapText("day1Recap9");
      setDay1RecapImage("n1-bar7c-h");
    }
    setDay1RecapLink(d1recap04);
  }
  function d1recap04() {
    // Review Brad's actions regarding Faith before Emily shows up. First,
    // check if Faith fondled herself for Brad. If not, check if they at
    // least conversed and flirted.
    var flirt = $.get("ftempa"),
      fondle = $.get("ftempc"),
      arrive = $.get("etempd"),
      date = $.get("ftempb");
    if (fondle > 0) {
      // Faith fondled herself.
      setDay1RecapText("day1Recap10");
      setDay1RecapImage("n1-bar17b-e");
    } else if (flirt > 1) {
      // Brad flirted with Faith.
      setDay1RecapText("day1Recap11");
      setDay1RecapImage("n1-bar16c");
    } else {
      // Brad Skipped Faith.
      setDay1RecapText("day1Recap12");
      setDay1RecapImage("n1-bar6");
    }
    // Determine if Emily showed up at the bar.
    // If not, determine if Brad got a date with Faith.
    if (arrive > 0) {
      // Emily Arrived.
      setDay1RecapLink(d1recap05a);
    } else if (date > 0) {
      // Emily was a no-show, but Brad got a date with Faith.
      setDay1RecapLink(d1recap05d);
    } else {
      // Emily was a no-show, and no date with Faith.
      setDay1RecapLink(d1recap05);
    }
  }
  function d1recap05() {
    setDay1RecapText("day1Recap13");
    setDay1RecapImage("n1-bar6");
    clearDay1RecapLink();
  }
  function d1recap05a() {
    var stare = $.get("etempb");
    setDay1RecapText("day1Recap14");
    setDay1RecapImage("n1-bar25c");
    if (stare === 1) {
      // Ogled Emily's legs too much.
      setDay1RecapLink(d1recap05ad);
    } else {
      setDay1RecapLink(d1recap05aabc);
    }
  }
  function d1recap05aabc() {
    // Determine the result of flirting with Emily before her breakdown.
    // Possible outcomes are:
    //   - listening
    //   - not paying attention and she leaves
    //   - stroking her legs sucessfully
    //    - going too far.
    // NOTE(Wolfschadowe): Other minor outcomes are tracked as listening.
    var leg = $.get("etempc");
    if (leg > 2) {
      // Failed stroking her leg, or went too high.
      setDay1RecapText("day1Recap15");
      setDay1RecapImage("n1-bar35f-h");
    } else if (leg === 2) {
      // Stroked her leg successfully.
      setDay1RecapText("day1Recap16");
      setDay1RecapImage("n1-bar35d-m");
    } else {
      // Just listened attentively.
      setDay1RecapText("day1Recap17");
      setDay1RecapImage("n1-bar25d");
    }
    setDay1RecapLink(d1recap05b);
  }
  function d1recap05ad() {
    setDay1RecapText("day1Recap18");
    setDay1RecapImage("n1-bar29c");
    setDay1RecapLink(d1recap06def);
  }
  function d1recap05b() {
    // Determine if Brad attempted to comfort Emily, and if so, how successful
    // he was. Possible outcomes are:
    //   - no comfort offered
    //   - comforted but Emily left anyway
    //   - entry to the Make-out session
    var comfort = $.get("etempa");
    if (comfort > 1) {
      // Made out with Emily.
      setDay1RecapText("day1Recap19");
      setDay1RecapImage("n1-bar46");
      setDay1RecapLink(d1recap06);
    } else {
      if (comfort === 1) {
        // Just comforted Emily.
        setDay1RecapText("day1Recap20");
        setDay1RecapImage("n1-bar39-e");
      } else {
        // Failed to comfort Emily.
        setDay1RecapText("day1Recap21");
        setDay1RecapImage("n1-bar37-e");
      }
      setDay1RecapLink(d1recap06def);
    }
  }
  function d1recap05d() {
    setDay1RecapText("day1Recap22");
    setDay1RecapImage("n1-bar74");
    clearDay1RecapLink();
  }
  function d1recap06() {
    // Determine Faith's actions while Brad and Emily made out.
    // Possible results are:
    //   - no Faith
    //   - Faith watches
    //   - Faith joins in
    var faith = $.get("ftempd"),
      leave = $.get("etempb");
    if (leave === 3 || faith === 1 || faith === 2) {
      // Emily left because of Faith.
      setDay1RecapText("day1Recap23");
      setDay1RecapImage("n1-bar45a");
      if (leave === 3) {
        setDay1RecapLink(d1recap06ac);
      } else {
        setDay1RecapLink(d1recap07b);
      }
    } else if (faith === 3) {
      // Faith Joined.
      setDay1RecapText("day1Recap24");
      setDay1RecapImage("n1-bar64-h");
      if ($.get("n24") > 1) {
        setDay1RecapLink(d1recap06c);
      } else {
        setDay1RecapLink(d1recap07c);
      }
    } else {
      // Faith didn't watch or join.
      setDay1RecapText("day1Recap25");
      setDay1RecapImage("n1-bar46");
      setDay1RecapLink(d1recap07);
    }
  }
  function d1recap06ac() {
    setDay1RecapText("day1Recap26");
    setDay1RecapImage("n1-bar87-h");
    setDay1RecapLink(d1recap06def);
  }
  function d1recap06c() {
    setDay1RecapText("day1Recap27");
    setDay1RecapImage("n1-bar83b-h");
    if ($.get("n24") > 3) {
      setDay1RecapLink(d1recap07d);
    } else {
      setDay1RecapLink(d1recap07e);
    }
  }
  function d1recap06def() {
    // If Emily leaves under less than optimal conditions, check if a Faith
    // path is still open.
    // Possible results are:
    //   - no Faith paths
    //   - partial success
    //   - full success enabling the n1 bar Faith erotic scene
    var date = $.get("ftempb"),
      full = $.get("ftempa");
    if (date === 0) {
      // No date with Faith.
      setDay1RecapText("day1Recap28");
      setDay1RecapImage("n1-bar74");
      clearDay1RecapLink();
    } else if (full > 2) {
      // Faith gave a reward. (BJ/HJ/etc...)
      setDay1RecapText("day1Recap29");
      setDay1RecapImage("n1-bar63");
      setDay1RecapLink(d1recap09);
    } else {
      // Strip Club date is the only remaining option.
      setDay1RecapText("day1Recap30");
      setDay1RecapImage("n1-bar74");
      clearDay1RecapLink();
    }
  }
  function d1recap07() {
    // Check to see if the make-out session with Emily is sucessful.
    // If it is not, check if Brad recovered with Faith.
    var makeOut = $.get("etempb");
    if (makeOut === 2) {
      // Went too far.
      setDay1RecapText("day1Recap31");
      setDay1RecapImage("n1-bar47e");
      setDay1RecapLink(d1recap06def);
    } else {
      // Emily came without Faith watching.
      setDay1RecapText("day1Recap32");
      setDay1RecapImage("n1-bar55");
      setDay1RecapLink(d1recap08);
    }
  }
  function d1recap07b() {
    if ($.get("etempa") > 3) {
      setDay1RecapText("day1Recap33");
    } else {
      setDay1RecapText("day1Recap34");
    }
    setDay1RecapImage("n1-bar55-h");
    setDay1RecapLink(d1recap08);
  }
  function d1recap07c() {
    setDay1RecapText("day1Recap35");
    setDay1RecapImage("n1-bar69-h");
    setDay1RecapLink(d1recap08);
  }
  function d1recap07d() {
    setDay1RecapText("day1Recap36");
    setDay1RecapImage("n1-bar88d-h");
    clearDay1RecapLink();
  }
  function d1recap07e() {
    setDay1RecapText("day1Recap37");
    setDay1RecapImage("n1-bar88d-h");
    clearDay1RecapLink();
  }
  function d1recap08() {
    // Checks the result of Brad following Emily into the bathroom.
    // Possibilities are:
    //   - not following
    //   - following and Emily is instantly upset
    //   - following and Emily is aroused
    //   - taking it too far by demanding a handjob
    var bathroom = $.get("etempb");
    if (bathroom < 4) {
      // Didn't follow Emily into the bathroom.
      setDay1RecapText("day1Recap38");
      setDay1RecapImage("n1-bar56b");
      setDay1RecapLink(d1recap09);
    } else if (bathroom === 4) {
      // Failed the relationship check for Corruption path.
      setDay1RecapText("day1Recap39");
      setDay1RecapImage("n1-bar57");
      setDay1RecapLink(d1recap06def);
    } else if (bathroom === 5) {
      // Successfully started the Corruption path.
      setDay1RecapText("day1Recap40");
      setDay1RecapImage("n1-bar70b-m");
      setDay1RecapLink(d1recap06def);
    } else if (bathroom === 6) {
      // Stayed too long, but didn't get the handjob.
      setDay1RecapText("day1Recap41");
      setDay1RecapImage("n1-bar70d-m");
      setDay1RecapLink(d1recap06def);
    } else {
      // Stayed in the bathroom way too long.
      setDay1RecapText("day1Recap42");
      setDay1RecapImage("n1-bar70gc-m");
      setDay1RecapLink(d1recap06def);
    }
  }
  function d1recap09() {
    // After Emily leaves under optimal conditions, check if Faith is willing
    // to reward Brad. This is a difficulty restricted scene, but at hard mode,
    // all endings are possible and reports furthest point in the scene.
    // Possible endings: No Scene, Handjob, Titfuck, Blowjob.
    var emilyLeft = $.get("ftempa");
    if (emilyLeft < 3) {
      // Nothing happened.
      setDay1RecapText("day1Recap43");
      setDay1RecapImage("n1-bar74");
      clearDay1RecapLink();
    } else if (emilyLeft === 3) {
      // Handjob.
      setDay1RecapText("day1Recap44");
      setDay1RecapImage("n1-bar72");
      setDay1RecapLink(d1recap10);
    } else if (emilyLeft === 4) {
      // Titfuck.
      setDay1RecapText("day1Recap45");
      setDay1RecapImage("n1-bar71d-m");
      setDay1RecapLink(d1recap10);
    } else {
      // Blowjob.
      setDay1RecapText("day1Recap46");
      setDay1RecapImage("n1-bar71g-h");
      setDay1RecapLink(d1recap10);
    }
  }
  function d1recap10() {
    if ($.get("ftempb") > 1) {
      setDay1RecapText("day1Recap47");
    } else {
      setDay1RecapText("day1Recap48");
    }
    setDay1RecapImage("n1-bar74");
    clearDay1RecapLink();
  }
  //#endregion
  //#region --------- Club recap ---------
  function d1recapc01() {
    // Arrived at the Club. Where to sit?
    var where = $.get("ztemp5");
    setDay1RecapText("day1Recap49");
    setDay1RecapImage("n1club001");
    // Where brad went after arrival.
    if (where === 1) {
      // Went to the stage.
      setDay1RecapLink(d1recapc02);
    } else if (where === 2) {
      // Went to the sofa.
      setDay1RecapLink(d1recapc02a);
    } else if (where === 3 || where === 4) {
      // Went to the club's bar.
      setDay1RecapLink(d1recapc02b);
    } else {
      // Error.
      setDay1RecapLink(d1recaperror);
    }
  }
  function d1recapc02() {
    // Went to the stage.
    setDay1RecapText("day1Recap50");
    setDay1RecapImage("n1clubsyl001");
    setDay1RecapLink(d1recapc05);
  }
  function d1recapc02a() {
    // Went to the Sofa. Did Azumi influence Brad?
    setDay1RecapText("day1Recap51");
    setDay1RecapImage("n1clubsofa002");
    if ($.get("stempb") > 0) {
      setDay1RecapLink(d1recapc03);
    } else {
      setDay1RecapLink(d1recapc02d);
    }
  }
  function d1recapc02b() {
    // Went to the Bar? Did Brad stay and help Candy?
    var sofa = $.get("ztemp5"),
      candy = $.get("ztemp2");
    setDay1RecapText("day1Recap52");
    setDay1RecapImage("n1clubbar002");
    // Check if Brad left the bar and went to the sofa.
    if (sofa === 4) {
      setDay1RecapLink(d1recapc03);
    } else {
      // If Brad stayed, check if he helped Candy.
      if (candy > 0) {
        // Helped Candy.
        setDay1RecapLink(d1recapc04c);
      } else {
        // Didn't help Candy.
        setDay1RecapLink(d1recapc04d);
      }
    }
  }
  function d1recapc02d() {
    setDay1RecapText("day1Recap53");
    setDay1RecapImage("n1clubsyl001");
    setDay1RecapLink(d1recapc05);
  }
  function d1recapc03() {
    setDay1RecapText("day1Recap54");
    setDay1RecapImage("n1clubsofa011");
    setDay1RecapLink(d1recapc04);
  }
  function d1recapc04() {
    // Report the result of meeting Azumi.
    var cont = $.get("n1club"),
      trust = $.get("ztemp1");
    if (cont === 9) {
      // Became controlled by Azumi.
      setDay1RecapText("day1Recap55");
      setDay1RecapImage("n1clubap012");
      setDay1RecapLink(d1recapc05a);
    } else if (cont > 12) {
      // Azumi Inclusion started
      setDay1RecapText("day1Recap55");
      setDay1RecapImage("n1clubap012");
      setDay1RecapLink(d1recap2ai);
    } else if (trust > 0) {
      // Passed the first Azumi gate.
      setDay1RecapText("day1Recap56");
      setDay1RecapImage("n1clubsofa015b");
      setDay1RecapLink(d1recapc05);
    } else {
      // Failed the first Azumi gate.
      setDay1RecapText("day1Recap57");
      setDay1RecapImage("n1clubsofa14a");
      setDay1RecapLink(d1recapc05);
    }
  }
  function d1recapc04c() {
    setDay1RecapText("day1Recap58");
    setDay1RecapImage("n1clubbar012");
    setDay1RecapLink(d1recapc05);
  }
  function d1recapc04d() {
    setDay1RecapText("day1Recap59");
    setDay1RecapImage("n1clubbar019");
    setDay1RecapLink(d1recapc05);
  }
  function d1recapc05() {
    setDay1RecapText("day1Recap60");
    setDay1RecapImage("n1clubnic005");
    setDay1RecapLink(d1recapc06);
  }
  function d1recapc05a() {
    setDay1RecapText("day1Recap61");
    setDay1RecapImage("n1clubap015");
    clearDay1RecapLink();
  }
  function d1recapc06() {
    var dance, start, lick, fight, scene;
    lick = $.get("ntempa");
    fight = $.get("ztemp1");
    if (lick > 0) {
      setDay1RecapText("day1Recap62");
      setDay1RecapImage("n1clubnic009k");
    } else {
      setDay1RecapText("day1Recap63");
      setDay1RecapImage("n1clubnic010");
    }
    if (fight > 1) {
      setDay1RecapLink(d1recapc06b);
    } else {
      // Check if Riley was watched all the way through instead of meeting
      // Natalie. Two dances are mandatory, Natalie Solo, and Natalie/Azumi Duo.
      // One dance, Sylvia, occurs before it but can be skipped.
      dance = $.get("ztemp4");
      start = $.get("ztemp5");
      scene = $.get("scene");
      if (((dance > 2 && scene !== 8) || dance > 3) && start > 1) {
        // Watched Riley instead of talking to Natalie.
        setDay1RecapLink(d1recapc08a);
      } else if (((dance > 3 && scene !== 8) || dance > 4) && start === 1) {
        // Watched Riley instead of talking to Natalie,
        // adjusted for Watching Sylvia & Azumi.
        setDay1RecapLink(d1recapc08a);
      } else {
        // Talked to Natalie when she came out.
        setDay1RecapLink(d1recapc07c);
      }
    }
  }
  function d1recapc06b() {
    setDay1RecapText("day1Recap64");
    setDay1RecapImage("n1clubnic023");
    setDay1RecapLink(d1recapc06cd);
  }
  function d1recapc06cd() {
    if ($.get("n1club") > 1) {
      setDay1RecapText("day1Recap65");
      setDay1RecapImage("n1clubnic024");
    } else {
      setDay1RecapText("day1Recap66");
      setDay1RecapImage("n1clubnic023a");
    }
    setDay1RecapLink(d1recapc06ef);
  }
  function d1recapc06ef() {
    if ($.get("stempa") > 0) {
      setDay1RecapText("day1Recap67");
      setDay1RecapImage("n1clubnic025a");
    } else {
      setDay1RecapText("day1Recap68");
      setDay1RecapImage("n1clubnic025");
    }
    setDay1RecapLink(d1recapc06gh);
  }
  function d1recapc06gh() {
    if ($.get("ntempa") > 1) {
      setDay1RecapText("day1Recap69");
      setDay1RecapImage("n1clubnic028a");
      setDay1RecapLink(d1recapc07);
    } else {
      setDay1RecapText("day1Recap70");
      setDay1RecapImage("n1clubnic026a");
      setDay1RecapLink(d1recapc07c);
    }
  }
  function d1recapc07() {
    // Reports post Natalie Dance activities.
    var cheat = $.get("ztemp1"),
      corr = $.get("ntempb");
    if (cheat > 2) {
      // Azumi will show Natalie's spot.
      setDay1RecapText("day1Recap71");
    } else if (corr > 1) {
      // Talked to Azumi about threesomes.
      setDay1RecapText("day1Recap72");
    } else {
      // Talked to Azumi, but didn't gain her trust.
      setDay1RecapText("day1Recap73");
    }
    setDay1RecapImage("n1club007");
    setDay1RecapLink(d1recapc08);
  }
  function d1recapc07c() {
    setDay1RecapText("day1Recap74");
    setDay1RecapImage("n1club008");
    setDay1RecapLink(d1recapc08);
  }
  function d1recapc08() {
    // Report how the pre-duo conversation went.
    var help = $.get("ztemp2");
    if (help === 0) {
      // Didn't help Candy at the Bar, so just talked.
      setDay1RecapText("day1Recap75");
      setDay1RecapImage("n1club014a");
    } else if (help === 1) {
      // Didn't help Candy.
      setDay1RecapText("day1Recap76");
      setDay1RecapImage("n1club012c");
    } else if (help === 3) {
      // Helped Candy.
      setDay1RecapText("day1Recap77");
      setDay1RecapImage("n1club015a");
    } else if (help === 4) {
      // Candy Voyer.
      setDay1RecapText("day1Recap78");
      setDay1RecapImage("n1club017b");
    } else {
      // All else went to the stage.
      setDay1RecapText("day1Recap79");  // Intentional duplicate of #79.
      setDay1RecapImage("n1clubril001");
    }
    setDay1RecapLink(d1recapc09);
  }
  function d1recapc08a() {
    setDay1RecapText("day1Recap79");  // Intentional duplicate of #79.
    setDay1RecapImage("n1clubril001");
    setDay1RecapLink(d1recapc09);
  }
  function d1recapc09() {
    var dance, priv;
    if ($.get("ztemp1") > 2) {
      setDay1RecapText("day1Recap80");
      setDay1RecapImage("n1club027a");
    } else {
      setDay1RecapText("day1Recap81");
      setDay1RecapImage("n1club028");
    }
    // Report how the private dance started, if it started.
    dance = $.get("scene");
    priv = $.get("ztemp3");
    if (dance === 10) {
      // Azumi private chosen/angry.
      setDay1RecapLink(d1recapc10d);
    } else if (dance === 8) {
      // Watched Azumi on stage.
      setDay1RecapLink(d1recapc10);
    } else if (priv === 1) {
      // Natalie promised a special dance.
      setDay1RecapLink(d1recapc10b);
    } else if (priv === 2) {
      // Natalie promised to make Brad cum.
      setDay1RecapLink(d1recapc10c);
    } else {
      // Natalie, nothing special.
      setDay1RecapLink(d1recapc10a);
    }
  }
  function d1recapc10() {
    setDay1RecapText("day1Recap82");
    setDay1RecapImage("n1club032");
    clearDay1RecapLink();
  }
  function d1recapc10a() {
    setDay1RecapText("day1Recap83");
    setDay1RecapImage("n1club045a");
    setDay1RecapLink(d1recapc11);
  }
  function d1recapc10b() {
    setDay1RecapText("day1Recap84");
    setDay1RecapImage("n1club045a");
    setDay1RecapLink(d1recapc11bc);
  }
  function d1recapc10c() {
    setDay1RecapText("day1Recap85");
    setDay1RecapImage("n1club047");
    setDay1RecapLink(d1recapc11bc);
  }
  function d1recapc10d() {
    setDay1RecapText("day1Recap86");
    setDay1RecapImage("n1clubap007");
    d1recapclubend();
  }
  function d1recapc11() {
    if ($.get("scene") > 11) {
      setDay1RecapText("day1Recap87");
    } else {
      setDay1RecapText("day1Recap88");
    }
    setDay1RecapImage("n1club046a");
    d1recapclubend();
  }
  function d1recapc11bc() {
    if ($.get("ztemp1") > 3) {
      setDay1RecapText("day1Recap89");
      setDay1RecapImage("n1club063");
      setDay1RecapLink(d1recapc12);
    } else {
      setDay1RecapText("day1Recap90");
      setDay1RecapImage("n1club046a");
      d1recapclubend();
    }
  }
  function d1recapc12() {
    if ($.get("scene") === 2) {
      setDay1RecapText("day1Recap91");
      setDay1RecapImage("n1club068d");
      d1recapclubend();
    } else {
      setDay1RecapText("day1Recap92");
      setDay1RecapImage("n1club069");
      setDay1RecapLink(d1recapc13);
    }
  }
  function d1recapc13() {
    var scene = $.get("scene");
    if (scene === 3) {
      // Caught by Ben.
      setDay1RecapText("day1Recap93");
      setDay1RecapImage("n1club099");
      clearDay1RecapLink();
    } else if (scene === 4) {
      // Tried to penetrate Natalie.
      setDay1RecapText("day1Recap94");
      setDay1RecapImage("n1club076b");
      clearDay1RecapLink();
    } else if (scene === 5) {
      // Came leaning down.
      setDay1RecapText("day1Recap95");
      setDay1RecapImage("n1club073b");
      d1recapclubend();
    } else if (scene === 6) {
      // Came sitting up.
      setDay1RecapText("day1Recap96");
      setDay1RecapImage("n1club078a");
      d1recapclubend();
    } else if (scene === 7) {
      // Came together.
      setDay1RecapText("day1Recap97");
      setDay1RecapImage("n1club085");
      d1recapclubend();
    } else {
      // Broken.
      setDay1RecapLink(d1recaperror);
    }
  }
  function d1recapclubend() {
    // Reports how the strip club scene ended.
    if ($.get("wndiner") > 0) {
      // The diner was visted.
      setDay1RecapText("day1Recap98");
      setDay1RecapImage("wndiner005");
      setDay1RecapLink(d1recapc15);
    } else {
      setDay1RecapText("day1Recap99");
      setDay1RecapImage("n1club090");
      clearDay1RecapLink();
    }
  }
  //#endregion
  //#region -------- Diner recap ---------
  function d1recapc15() {
    if ($.get("bradn") === 90) {
      setDay1RecapText("day1Recap100");
      setDay1RecapImage("wndiner013");
      setDay1RecapLink(d1recapc17);
    } else {
      setDay1RecapText("day1Recap101");
      setDay1RecapImage("wndiner013");
      setDay1RecapLink(d1recapc16);
    }
  }
  function d1recapc16() {
    if ($.get("bradn") === 50) {
      setDay1RecapText("day1Recap102");
    } else {
      setDay1RecapText("day1Recap103");
    }
    setDay1RecapImage("wndiner018b");
    setDay1RecapLink(d1recapc17);
  }
  function d1recapc17() {
    if ($.get("wndiner") === 2) {
      setDay1RecapText("day1Recap104");
      setDay1RecapImage("wndiner021a");
    } else {
      setDay1RecapText("day1Recap105");
      setDay1RecapImage("wndiner019");
    }
    clearDay1RecapLink();
  }
  //#endregion
  //#region -------- Azumi recap ---------
  function d1recap1ai() {
    // Reports if Brad's memory was erased.
    setDay1RecapText("day1Recap107");
    setDay1RecapImage("wnclub016aia");
    clearDay1RecapLink();
  }
  function d1recap2ai() {
    // Teased Azumi and began AI content.
    setDay1RecapText("day1Recap106");
    setDay1RecapImage("wnclub015ai");
    setDay1RecapLink(d1recap3ai);
  }
  function d1recap3ai() {
    // Natalie Comforted Azumi.
    setDay1RecapText("day1Recap108");
    setDay1RecapImage("wnclub024ai");
    setDay1RecapLink(d1recap4ai);
  }
  function d1recap4ai() {
    // Reports if Brad unzipped.
    if ($.get("n1club") > 14 || $.shared.isEventSet("n1club.unzip")) {
      // Brad Unzipped
      setDay1RecapText("day1Recap109");
      setDay1RecapImage("wnclub027ai-a");
      setDay1RecapLink(d1recap5ai);
    } else {
      // Natalie and Zipped Brad
      setDay1RecapText("day1Recap111");
      setDay1RecapImage("wnclub028ai");
      setDay1RecapLink(d1recap6ai);
    }
  }
  function d1recap5ai() {
    // Natalie and unzipped Brad.
    setDay1RecapText("day1Recap110");
    setDay1RecapImage("wnclub028ai");
    setDay1RecapLink(d1recap6ai);
  }
  function d1recap6ai() {
    // Reports result of Candy's lapdance.
    if ($.get("n1club") === 16) {
      // Brad had sex with Candy.
      setDay1RecapText("day1Recap112");
      setDay1RecapImage("wnclub046aics");
      setDay1RecapLink(d1recap7ai);
    } else if ($.get("n1club") === 15) {
      // Brad came on Candy's underwear.
      setDay1RecapText("day1Recap113");
      setDay1RecapImage("wnclub045cop");
      setDay1RecapLink(d1recap7ai);
    } else {
      setDay1RecapText("day1Recap114");
      setDay1RecapImage("wnclub042cdz-a");
      setDay1RecapLink(d1recap8ai);
    }
  }
  function d1recap7ai() {
    // Candy puts Brad's cock away.
    setDay1RecapText("day1Recap115");
    setDay1RecapImage("wnclub048aics");
    setDay1RecapLink(d1recap8ai);
  }
  function d1recap8ai() {
    // Azumi returns with the plan.
    setDay1RecapText("day1Recap116");
    setDay1RecapImage("wnclub055aic_alt");
    setDay1RecapLink(d1recap9ai);
  }
  function d1recap9ai() {
    // Taxi Start.
    setDay1RecapText("day1Recap117");
    setDay1RecapImage("wntaxi01");
    setDay1RecapLink(d1recap10ai);
  }
  function d1recap10ai() {
    // Taxi Cuddling.
    setDay1RecapText("day1Recap118");
    setDay1RecapImage("wntaxi10");
    setDay1RecapLink(d1recap11ai);
  }
  function d1recap11ai() {
    // Report zipped status.
    if ($.shared.isEventSet("n1club.unzip")) {
      setDay1RecapText("day1Recap120");
      setDay1RecapImage("wntaxi13");
      setDay1RecapLink(d1recap13ai);
    } else {
      setDay1RecapText("day1Recap119");
      setDay1RecapImage("wntaxi13z");
      setDay1RecapLink(d1recap12ai);
    }
  }
  function d1recap12ai() {
    // Report zipped result.
    if ($.get("n1taxi") === 1) {
      // Zipped Natalie-Azumi kiss.
      setDay1RecapText("day1Recap122");
      setDay1RecapImage("wntaxi27ffd");
      setDay1RecapLink(d1recap14ai);
    } else if ($.get("n1taxi") === 5) {
      // Zipped Quiet Ride.
      setDay1RecapText("day1Recap121");
      setDay1RecapImage("wntaxi17q");
      setDay1RecapLink(d1recap14ai);
    } else if ($.get("n1taxi") === 7) {
      // Zipped Liberties End.
      setDay1RecapText("day1Recap123");
      setDay1RecapImage("wntaxi23pf");
      setDay1RecapLink(d1recap14ai);
    } else {
      // ERROR.
      setDay1RecapLink(d1recaperror);
    }
  }
  function d1recap13ai() {
    // Report unzipped results.
    var cont = $.get("n1taxi");
    if (cont === 5) {
      // Unzipped Quiet Ride.
      setDay1RecapText("day1Recap124");
      setDay1RecapImage("wntaxi17q");
      setDay1RecapLink(d1recap14ai);
    } else if (cont === 2) {
      // Unzipped Double Jack, Azumi Fingered.
      setDay1RecapText("day1Recap125");
      setDay1RecapImage("wntaxi27dj");
      setDay1RecapLink(d1recap14ai);
    } else if (cont === 3) {
      setDay1RecapText("day1Recap126");
      setDay1RecapImage("wntaxi24ck");
      setDay1RecapLink(d1recap14ai);
    } else if (cont === 8) {
      setDay1RecapText("day1Recap127");
      setDay1RecapImage("wntaxi24ff");
      setDay1RecapLink(d1recap14ai);
    } else if (cont === 4) {
      setDay1RecapText("day1Recap128");
      setDay1RecapImage("wntaxi27dj");
      setDay1RecapLink(d1recap14ai);
    } else if (cont === 6) {
      setDay1RecapText("day1Recap129");
      setDay1RecapImage("wntaxi24cf");
      setDay1RecapLink(d1recap14ai);
    } else {
      setDay1RecapLink(d1recaperror);
    }
  }
  function d1recap14ai() {
    // Arrive at the apartment.
    setDay1RecapText("day1Recap130");
    setDay1RecapImage("aihome01");
    setDay1RecapLink(d1recap15ai);
  }
  function d1recap15ai() {
    // Report couch or kitchen route.
    var cont = $.get("bradn");
    if (cont === 99) {
      // Couch route
      setDay1RecapText("day1Recap131");
      setDay1RecapImage("aihome16h");
      setDay1RecapLink(d1recap16ai);
    } else {
      // Kitchen route
      setDay1RecapText("day1Recap138");
      setDay1RecapImage("aihome13");
      setDay1RecapLink(d1recap19ai);
    }

  }
  function d1recap16ai() {
    // Determine if Crow Bringer was discussed.
    var cont = $.shared.isEventSet("azumi.crow");
    if (cont) {
      // Crow Bringer route
      setDay1RecapText("day1Recap133");
      setDay1RecapImage("aihome17cb");
      setDay1RecapLink(d1recap17ai);
    } else {
      // Standard route
      setDay1RecapText("day1Recap132");
      setDay1RecapImage("aihome17hs");
      setDay1RecapLink(d1recap20ai);
    }
  }
  function d1recap17ai() {
    // Report Blackmail attempt
    var cont = $.get("scene");
    if (cont === 19) {
      // Blackmail occoured
      setDay1RecapText("day1Recap135");
      setDay1RecapImage("aihome24cb");
      setDay1RecapLink(d1recap18ai);
    } else {
      // No Blackmail
      setDay1RecapText("day1Recap134");
      setDay1RecapImage("aihome21s");
      setDay1RecapLink(d1recap20ai);
    }
  }
  function d1recap18ai() {
    // Report blackmail result
    var cont = $.get("atempd")
    if (cont === 2) {
      // Date with both
      setDay1RecapText("day1Recap137");
      setDay1RecapImage("aihome30cb");
    } else {
      // Date with Azumi
      setDay1RecapText("day1Recap136");
      setDay1RecapImage("aihome29cb-a");
    }
    clearDay1RecapLink();
  }
  function d1recap19ai() {
    // Report meal
    setDay1RecapText("day1Recap139");
    setDay1RecapImage("aihome29");
    setDay1RecapLink(d1recap20ai);
  }
  function d1recap20ai() {
    var cont = $.get("scene");
    // Report if game occours
    if (cont === 9) {
      // Ladies Leave, date considered
      setDay1RecapText("day1Recap140");
      setDay1RecapImage("aihome44ll-a");
      clearDay1RecapLink();
    } else if (cont === 10) {
      // Ladies leave, Azumi date.
      setDay1RecapText("day1Recap141");
      setDay1RecapImage("aihome44ll-a");
      clearDay1RecapLink();
    } else if (cont === 11) {
      // Ladies leave, no date.
      setDay1RecapText("day1Recap142");
      setDay1RecapImage("aihome44ll-a");
      clearDay1RecapLink();
    } else {
      // Dancing game begins
      setDay1RecapText("day1Recap143");
      setDay1RecapImage("aihome40bt");
      setDay1RecapLink(d1recap21ai);
    }
  }
  function d1recap21ai() {
    var cont = $.get("scene");
    // Report result of the dancing game.
    if (cont === 5) {
      // Brad Loses
      setDay1RecapText("day1Recap144");
      setDay1RecapImage("aihome94bl");
      clearDay1RecapLink();
    } else if (cont === 4) {
      // Pants end: Natalie partial
      setDay1RecapText("day1Recap145");
      setDay1RecapImage("aihome78nc");
      setDay1RecapLink(d1recap22ai);
    } else if (cont === 3) {
      // Pants end: Azumi
      setDay1RecapText("day1Recap146");
      setDay1RecapImage("aihome71ac");
      setDay1RecapLink(d1recap22ai);
    } else if (cont === 2) {
      // No Pants: Natale
      setDay1RecapText("day1Recap147");
      setDay1RecapImage("aihome72bc");
      setDay1RecapLink(d1recap22ai);
    } else if (cont === 12) {
      // Mutual Masturbation
      setDay1RecapText("day1Recap148");
      setDay1RecapImage("aihome65mm");
      setDay1RecapLink(d1recap22ai);
    } else if (cont === 13) {
      // Cross Masturbation
      setDay1RecapText("day1Recap149");
      setDay1RecapImage("aihome66cm");
      setDay1RecapLink(d1recap22ai);
    } else if (cont === 14) {
      // No Pants: Azumi
      setDay1RecapText("day1Recap150");
      setDay1RecapImage("aihome82ba");
      setDay1RecapLink(d1recap22ai);
    } else if (cont === 15) {
      // No Pants: Natalie full
      setDay1RecapText("day1Recap151");
      setDay1RecapImage("aihome88p");
      setDay1RecapLink(d1recap22ai);
    } else if (cont === 16) {
      // Brad Wins
      setDay1RecapText("day1Recap152");
      setDay1RecapImage("aihome90bw");
      setDay1RecapLink(d1recap23ai);
    } else {
      // Azumi wins
      setDay1RecapText("day1Recap153");
      setDay1RecapImage("aihome91aw");
      setDay1RecapLink(d1recap22ai);
    }
  }
  function d1recap22ai() {
    // Report couch/bed ending
    var cont = $.get("atempc");
    if (cont === 3) {
      // Couch ending
      setDay1RecapText("day1Recap154");
      setDay1RecapImage("aihome95aw-a");
    } else {
      // Bed ending
      setDay1RecapText("day1Recap155");
      setDay1RecapImage("aihome95aw-b");
    }
    clearDay1RecapLink();
  }
  function d1recap23ai() {
    // Report final winner
    if ($.shared.isEventSet("n1home.ban")) {
      // Azumi Wins
      setDay1RecapText("day1Recap156");
      setDay1RecapImage("aihome98bw");
    } else if ($.shared.isEventSet("n1home.anb")) {
      // Natalie Wins
      setDay1RecapText("day1Recap157");
      setDay1RecapImage("aihome97bw");
    } else {
      // Brad Wins
      setDay1RecapText("day1Recap158");
      setDay1RecapImage("aihome99bw");
    }
    clearDay1RecapLink();
  }
  //#endregion

  // Register the custom onload event for the recap page.
  $.onPageLoad("d1recap01", generateDay1Recap);
}($));
//#endregion
